#5 Update to 3.0 release
Merged 2 years ago by yunyings. Opened 2 years ago by javierm.

file modified
+1 -1

@@ -1,1 +1,1 @@

- /tpm2-tools-3.0-rc1.tar.gz

+ /tpm2-tools-3.0.tar.gz

file modified
+1 -1

@@ -1,1 +1,1 @@

- SHA512 (tpm2-tools-3.0-rc1.tar.gz) = d0cdf24f59ad0a9bcccae1a6d9fe41b4756b9c8affd5c8e817dc01ea8890ac67ace7f43f2d571221de7a6a5d3da204d779889b870823c2944e8d42d2d26d86ce

+ SHA512 (tpm2-tools-3.0.tar.gz) = 9a8c908db297352cb1142f4cd04b5403bfd3150ea862539eee50c202dfba199a3fe9ddd17d345f7d49d4cba8b46d88edc5cf7d362470436dff0f7dd4a792179a

file modified
+7 -4

@@ -1,11 +1,11 @@

  Name: tpm2-tools

  Version: 3.0

- Release: 0.1.rc1%{?dist}

+ Release: 1%{?dist}

  Summary: A TPM2.0 testing tool build upon TPM2.0-TSS

  

  License: BSD

  URL:     https://github.com/intel/tpm2-tools

- Source0: https://github.com/intel/tpm2-tools/archive/%{version}-rc1/%{name}-%{version}-rc1.tar.gz

+ Source0: https://github.com/intel/tpm2-tools/archive/%{version}/%{name}-%{version}.tar.gz

  

  BuildRequires: gcc-c++

  BuildRequires: libtool

@@ -25,7 +25,7 @@

  ExclusiveArch: %{ix86} x86_64

  

  # tpm2-tools is heavily depending on TPM2.0-TSS project, matched tss is required

- Requires: tpm2-tss%{?_isa} >= 1.3.0-0.1.rc2%{?dist}

+ Requires: tpm2-tss%{?_isa} >= 1.3.0-1%{?dist}

  

  # tpm2-tools project changed the install path for binaries and man page section

  Obsoletes: tpm2-tools <= 2.1.1-2

@@ -34,7 +34,7 @@

  tpm2-tools is a batch of testing tools for tpm2.0. It is based on tpm2-tss.

  

  %prep

- %autosetup -p1 -n %{name}-%{version}-rc1

+ %autosetup -p1 -n %{name}-%{version}

  ./bootstrap

  

  %build

@@ -51,6 +51,9 @@

  %{_mandir}/man1/tpm2_*.1.gz

  

  %changelog

+ * Fri Dec 08 2017 Javier Martinez Canillas <javierm@redhat.com> - 3.0-1

+ - Update to 3.0 release

+ 

  * Wed Nov 29 2017 Javier Martinez Canillas <javierm@redhat.com> - 3.0-0.1.rc1

  - Update to 3.0 release candidate 1

  - Update URLs to point to the new project location

The tpm2-tools 3.0 was released, update the package to the latest version.

Signed-off-by: Javier Martinez Canillas javierm@redhat.com

According to the release dependency table: https://github.com/intel/tpm2-tools/wiki

Suppose tss version dependency should be updated in SPEC accordingly from:
Requires: tpm2-tss%{?_isa} >= 1.3.0-0.1.rc2%{?dist}
to:
Requires: tpm2-tss%{?_isa} >= 1.3.0-1%{?dist}

@yunyings right, I just forgot to update it. Thanks a lot for pointing out.

Pull request updated to fix this.

rebased onto d57864f

2 years ago

Pull-Request has been merged by yunyings

2 years ago